#include<iostream>
#define MAX 10

using namespace std;

int main(void)
{
    int n,niz[MAX],k;
    cin>>n;

        for(int i=0;i<n;++i)
            cin>>niz[i];

    if(n == 2)
    {
        k = niz[0];
        niz[0] = niz[1];
        niz[1] = k;

        cout<<niz[0]<<" "<<niz[1]<<endl;
    }
    else{


    for(int i=0;i<n;++i)
        for(int j=i;j<n;++j)
            if(niz[i]<niz[j])
                {
                    k = niz[i];
                    niz[i] = niz[j];
                    niz[j] = k;
                    break;
                }
     for(int i=0;i<n;++i)
                cout<<niz[i]<<" ";
    }





    return 0;
}